## org.apache.mahout.fpm.pfpgrowth.convertors.string
Class StringOutputConverter

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.string.StringOutputConverter

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<String,List<Pair<List<String>,Long>>>

    public final class StringOutputConverter

extends Object
implements org.apache.hadoop.mapred.OutputCollector<String,List<Pair<List<String>,Long>>>

Collects a string pattern in a MaxHeap and outputs the top K patterns

Constructor Summary
`StringOutputConverter(org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Text,TopKStringPatterns> collector)`

Method Summary
`void` `collect(String key, List<Pair<List<String>,Long>> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringOutputConverter

    public StringOutputConverter(org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Text,TopKStringPatterns> collector)

Method Detail

### collect

    public void collect(String key,
                        List<Pair<List<String>,Long>> value)
                 throws IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<String,List<Pair<List<String>,Long>>>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.